Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.general
Class CombinedDataset

    java.lang.Object
      org.jfree.data.general.AbstractDataset
          org.jfree.data.general.AbstractSeriesDataset
              org.jfree.data.xy.AbstractXYDataset
                  org.jfree.data.xy.AbstractIntervalXYDataset
                      org.jfree.data.general.CombinedDataset

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, CombinationDataset, Dataset, SeriesChangeListener, SeriesDataset, IntervalXYDataset, OHLCDataset, XYDataset

Deprecated. As of version 1.0.13. This class will be removed from JFreeChart 1.2.0 onwards. Anyone needing this facility will need to maintain it outside of JFreeChart.

    public class CombinedDataset

extends AbstractIntervalXYDataset
implements XYDataset, OHLCDataset, IntervalXYDataset, CombinationDataset

This class can combine instances of `XYDataset`, `OHLCDataset` and `IntervalXYDataset` together exposing the union of all the series under one dataset.

See Also:
  Serialized Form

Constructor Summary
`CombinedDataset()` Deprecated. Default constructor for an empty combination.
`CombinedDataset(SeriesDataset[] data)` Deprecated. Creates a CombinedDataset initialized with an array of SeriesDatasets.

Method Summary
`void` | `add(SeriesDataset data)` Deprecated. Adds one SeriesDataset to the combination.
`void` | `add(SeriesDataset[] data)` Deprecated. Adds an array of SeriesDataset's to the combination.
`void` | `add(SeriesDataset data, int series)` Deprecated. Adds one series from a SeriesDataset to the combination.
`int` | `getChildPosition(Dataset child)` Deprecated. Returns the child position.
`java.lang.Number` | `getClose(int series, int item)` Deprecated. Returns the close-value for the specified series and item.
`double` | `getCloseValue(int series, int item)` Deprecated. Returns the close-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getEndX(int series, int item)` Deprecated. Returns the ending X value for the specified series and item.
`java.lang.Number` | `getEndY(int series, int item)` Deprecated. Returns the ending Y value for the specified series and item.
`java.lang.Number` | `getHigh(int series, int item)` Deprecated. Returns the high-value for the specified series and item.
`double` | `getHighValue(int series, int item)` Deprecated. Returns the high-value (as a double primitive) for an item within a series.
`int` | `getItemCount(int series)` Deprecated. Returns the number of items in a series.
`java.lang.Number` | `getLow(int series, int item)` Deprecated. Returns the low-value for the specified series and item.
`double` | `getLowValue(int series, int item)` Deprecated. Returns the low-value (as a double primitive) for an item within a series.
`int[]` | `getMap()` Deprecated. Returns a map or indirect indexing form our series into parent's series.
`java.lang.Number` | `getOpen(int series, int item)` Deprecated. Returns the open-value for the specified series and item.
`double` | `getOpenValue(int series, int item)` Deprecated. Returns the open-value (as a double primitive) for an item within a series.
`SeriesDataset` | `getParent()` Deprecated. Returns the parent Dataset of this combination.
`int` | `getSeriesCount()` Deprecated. Returns the number of series in the dataset.
`java.lang.Comparable` | `getSeriesKey(int series)` Deprecated. Returns the key for a series.
`java.lang.Number` | `getStartX(int series, int item)` Deprecated. Returns the starting X value for the specified series and item.
`java.lang.Number` | `getStartY(int series, int item)` Deprecated. Returns the starting Y value for the specified series and item.
`java.lang.Number` | `getVolume(int series, int item)` Deprecated. Returns the volume value for the specified series and item.
`double` | `getVolumeValue(int series, int item)` Deprecated. Returns the volume-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getX(int series, int item)` Deprecated. Returns the X-value for the specified series and item.
`java.lang.Number` | `getY(int series, int item)` Deprecated. Returns the Y-value for the specified series and item.

Methods inherited from class org.jfree.data.xy.AbstractIntervalXYDataset
`getEndXValue, getEndYValue, getStartXValue, getStartYValue`

Methods inherited from class org.jfree.data.xy.AbstractXYDataset
`getDomainOrder, getXValue, getYValue`

Methods inherited from class org.jfree.data.general.AbstractSeriesDataset
`indexOf, seriesChanged`

Methods inherited from class org.jfree.data.general.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.xy.IntervalXYDataset
`getEndXValue, getEndYValue, getStartXValue, getStartYValue`

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder, getXValue, getYValue`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### CombinedDataset

    public CombinedDataset()

  Deprecated.
  Default constructor for an empty combination.

### CombinedDataset

    public CombinedDataset(SeriesDataset[] data)

  Deprecated.
  Creates a CombinedDataset initialized with an array of SeriesDatasets.

  Parameters:
    `data` - array of SeriesDataset that contains the SeriesDatasets to combine.

Method Detail

### add

    public void add(SeriesDataset data)

  Deprecated.
  Adds one SeriesDataset to the combination. Listeners are notified of the change.

  Parameters:
    `data` - the SeriesDataset to add.

### add

    public void add(SeriesDataset[] data)

  Deprecated.
  Adds an array of SeriesDataset's to the combination. Listeners are notified of the change.

  Parameters:
    `data` - array of SeriesDataset to add

### add

    public void add(SeriesDataset data,
                    int series)

  Deprecated.
  Adds one series from a SeriesDataset to the combination. Listeners are notified of the change.

  Parameters:
    `data` - the SeriesDataset where series is contained
    `series` - series to add

### getSeriesCount

    public int getSeriesCount()

  Deprecated.
  Returns the number of series in the dataset.

  Specified by:
    `getSeriesCount` in interface `SeriesDataset`
  Specified by:
    `getSeriesCount` in class `AbstractSeriesDataset`
  Returns:
    The number of series in the dataset.

### getSeriesKey

    public java.lang.Comparable getSeriesKey(int series)

  Deprecated.
  Returns the key for a series.

  Specified by:
    `getSeriesKey` in interface `SeriesDataset`
  Specified by:
    `getSeriesKey` in class `AbstractSeriesDataset`
  Parameters:
    `series` - the series (zero-based index).
  Returns:
    The key for a series.

### getX

    public java.lang.Number getX(int series,
                                 int item)

  Deprecated.
  Returns the X-value for the specified series and item.

  Note: throws `ClassCastException` if the series is not from a `XYDataset`.

  Specified by:
    `getX` in interface `XYDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The X-value for the specified series and item.

### getY

    public java.lang.Number getY(int series,
                                 int item)

  Deprecated.
  Returns the Y-value for the specified series and item.

  Note: throws `ClassCastException` if the series is not from a `XYDataset`.

  Specified by:
    `getY` in interface `XYDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The Y-value for the specified series and item.

### getItemCount

    public int getItemCount(int series)

  Deprecated.
  Returns the number of items in a series.

  Note: throws `ClassCastException` if the series is not from a `XYDataset`.

  Specified by:
    `getItemCount` in interface `XYDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
  Returns:
    The number of items in a series.

### getHigh

    public java.lang.Number getHigh(int series,
                                    int item)

  Deprecated.
  Returns the high-value for the specified series and item.

  Note: throws `ClassCastException` if the series is not from a `OHLCDataset`.

  Specified by:
    `getHigh` in interface `OHLCDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The high-value for the specified series and item.

### getHighValue

    public double getHighValue(int series,
                               int item)

  Deprecated.
  Returns the high-value (as a double primitive) for an item within a series.

  Specified by:
    `getHighValue` in interface `OHLCDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The high-value.

### getLow

    public java.lang.Number getLow(int series,
                                   int item)

  Deprecated.
  Returns the low-value for the specified series and item.

  Note: throws `ClassCastException` if the series is not from a `OHLCDataset`.

  Specified by:
    `getLow` in interface `OHLCDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The low-value for the specified series and item.

### getLowValue

    public double getLowValue(int series,
                              int item)

  Deprecated.
  Returns the low-value (as a double primitive) for an item within a series.

  Specified by:
    `getLowValue` in interface `OHLCDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The low-value.

### getOpen

    public java.lang.Number getOpen(int series,
                                    int item)

  Deprecated.
  Returns the open-value for the specified series and item.

  Note: throws `ClassCastException` if the series is not from a `OHLCDataset`.

  Specified by:
    `getOpen` in interface `OHLCDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The open-value for the specified series and item.

### getOpenValue

    public double getOpenValue(int series,
                               int item)

  Deprecated.
  Returns the open-value (as a double primitive) for an item within a series.

  Specified by:
    `getOpenValue` in interface `OHLCDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The open-value.

### getClose

    public java.lang.Number getClose(int series,
                                     int item)

  Deprecated.
  Returns the close-value for the specified series and item.

  Note: throws `ClassCastException` if the series is not from a `OHLCDataset`.

  Specified by:
    `getClose` in interface `OHLCDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The close-value for the specified series and item.

### getCloseValue

    public double getCloseValue(int series,
                                int item)

  Deprecated.
  Returns the close-value (as a double primitive) for an item within a series.

  Specified by:
    `getCloseValue` in interface `OHLCDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The close-value.

### getVolume

    public java.lang.Number getVolume(int series,
                                      int item)

  Deprecated.
  Returns the volume value for the specified series and item.

  Note: throws `ClassCastException` if the series is not from a `OHLCDataset`.

  Specified by:
    `getVolume` in interface `OHLCDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The volume value for the specified series and item.

### getVolumeValue

    public double getVolumeValue(int series,
                                 int item)

  Deprecated.
  Returns the volume-value (as a double primitive) for an item within a series.

  Specified by:
    `getVolumeValue` in interface `OHLCDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The volume-value.

### getStartX

    public java.lang.Number getStartX(int series,
                                      int item)

  Deprecated.
  Returns the starting X value for the specified series and item.

  Specified by:
    `getStartX` in interface `IntervalXYDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The value.

### getEndX

    public java.lang.Number getEndX(int series,
                                    int item)

  Deprecated.
  Returns the ending X value for the specified series and item.

  Specified by:
    `getEndX` in interface `IntervalXYDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The value.

### getStartY

    public java.lang.Number getStartY(int series,
                                      int item)

  Deprecated.
  Returns the starting Y value for the specified series and item.

  Specified by:
    `getStartY` in interface `IntervalXYDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The starting Y value for the specified series and item.

### getEndY

    public java.lang.Number getEndY(int series,
                                    int item)

  Deprecated.
  Returns the ending Y value for the specified series and item.

  Specified by:
    `getEndY` in interface `IntervalXYDataset`
  Parameters:
    `series` - the index of the series of interest (zero-based).
    `item` - the index of the item of interest (zero-based).
  Returns:
    The ending Y value for the specified series and item.

### getParent

    public SeriesDataset getParent()

  Deprecated.
  Returns the parent Dataset of this combination. If there is more than one parent, or a child is found that is not a CombinationDataset, then returns `null`.

  Specified by:
    `getParent` in interface `CombinationDataset`
  Returns:
    The parent Dataset of this combination or `null`.

### getMap

    public int[] getMap()

  Deprecated.
  Returns a map or indirect indexing form our series into parent's series. Prior to calling this method, the client should check getParent() to make sure the CombinationDataset uses the same parent. If not, the map returned by this method will be invalid or null.

  Specified by:
    `getMap` in interface `CombinationDataset`
  Returns:
    A map or indirect indexing form our series into parent's series.
  See Also:
    `getParent()`

### getChildPosition

    public int getChildPosition(Dataset child)

  Deprecated.
  Returns the child position.

  Parameters:
    `child` - the child dataset.
  Returns:
    The position.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.